System.Web 2.0.0.0 System.Enum System.Flags

A object provides functionality to parse a particular file type and generate code during compilation of a resource. A build provider generates code for those resources that correspond to the attribute and which have the extension mapped to the build provider.

Specifies the locations where the attribute is respected during code generation for a resource by a object.

- Field
  System.Web.Compilation.BuildProviderAppliesTo

  Specifies that the build provider generates code for resources wherever the resources are found. This is the default value for the attribute.

  2.0.0.0
- Field
  System.Web.Compilation.BuildProviderAppliesTo

  Specifies that the build provider generates code for only those resources in the \App_Code directory.

  2.0.0.0
- Field
  System.Web.Compilation.BuildProviderAppliesTo

  Specifies that the build provider generates code for resources in the \App_GlobalResources and \App_LocalResources directories.

  2.0.0.0
- Field
  System.Web.Compilation.BuildProviderAppliesTo

  Specifies that the build provider generates code for only those resources in Web content directories, which are directories other than the reserved ASP.NET directories \App_Code, \App_GlobalResources, and \App_LocalResources.

  2.0.0.0